
Redmine - Defect #31077

"Icon for Datepicker" does not appear after status was changed.

2019-03-21 12:35 - Julian Lohrber

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.2

Description

When editing the issue, fields are displayed for modification in "Change properties" area.

In the area, "Start date" and "Due date" have string-fields and there are Icons for Datepicker right of the string-fields normally.

But, if an issue status is changed to another status the datepicker icons disappear.

I already changed the Theme for Redmine to the standard Theme but I still get the same error. When I tried another browser (for

example Firefox) the Issue is not Appearing.

Redmine configuration (from "Information" of "Redmine") are as follows.

production system: Linux based

Environment:

  Redmine version                4.0.2.stable

  Ruby version                   2.6.2-p47 (2019-03-13) [x86_64-linux]

  Rails version                  5.2.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Git                            2.14.1

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.4.8

  redmine_checklists             3.1.14

  redmine_contacts               4.2.3

  redmine_contacts_helpdesk      4.0.2

  redmine_dmsf                   2.0.0

  redmine_people                 1.4.0

  redmine_zenedit                1.0.2

Could you please provide me help to fix the Issue

Related issues:

Related to Redmine - Patch #19468: Replace jQuery UI Datepicker with native b... Closed

Related to Redmine - Feature #31300: Automatically switch between native date... New

Copied from Redmine - Defect #24698: "Icon for Datepicker" does not appear if... Closed

History

#1 - 2019-03-21 12:35 - Julian Lohrber

- Copied from Defect #24698: "Icon for Datepicker" does not appear if the issue has a child issue (or issues). added

#2 - 2019-05-05 13:41 - Marius BĂLTEANU

- Status changed from New to Needs feedback
Please see #19468 to understand when the date picker icon appears or not.

Please let me know if you still consider it a problem.

#3 - 2019-05-05 13:41 - Marius BĂLTEANU

- Related to Patch #19468: Replace jQuery UI Datepicker with native browser date fields when available added

#4 - 2019-05-05 13:41 - Marius BĂLTEANU

- Related to Feature #31300: Automatically switch between native date picker and custom date picker based on mobile or not mobile devices  added

#5 - 2020-04-14 05:29 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Files

after changing status.PNG 12 KB 2019-03-21 Julian Lohrber

before changing status.PNG 13.4 KB 2019-03-21 Julian Lohrber
